Mod-ORP
=======

> [Datasheet](https://ufire.dev/files/mod-orp_datasheet.pdf) 📜

Add the ability to measure ORP to your hardware application with a fully digital interface.

#### Summary ℹ️

*   mV range of -2.23 to 2.23
*   Accuracy ±0.001 mV
*   Resolution 0.001 mV units
*   I²C, UART, and USB interfaces
*   1-Wire interface for DS18B20 temperature sensor
*   25x15 mm for castellated or DIP mounting
*   Single point calibration

* * *

### Use

*   [I²C Arduino Library Documentation](https://ufire.dev/files/mod-orp_arduino_library.pdf)
*   [I²C Raspberry Pi Python Documentation](https://ufire.dev/files/mod-orp_raspberrypi_library.pdf)

* * *

### Design ✒️

Adding a module to your own design is straightforward. You'll need:

1.  bus connection to your controlling device (I2C, UART, USB)
2.  clean, preferably isolated, power supply
3.  probe connection (U.FL, BNC, terminal block)

Some resources to get started:

*   [Schematic of the Isolated Qwiic Dev Board](https://ufire.dev/files/isolated_qwiic_dev_board_schematic.pdf)
*   Design Incorporation section of the [Datasheet](https://ufire.dev/files/mod-orp_datasheet.pdf)

> [Request a custom board](https://docs.google.com/forms/d/e/1FAIpQLSfiCyjnq35GVyaRjVw6HphhNFNmoyi723qlqVLjUhc-TrmvfQ/viewform)

* * *

#### Ask a question 🤙

*   [Support Request](https://docs.google.com/forms/d/e/1FAIpQLSekGsS88VkVGCOdW58-MLXKEMpZ8m3PTjGt28sdiWZpEqDXPg/viewform)
*   [Discord](https://discord.gg/rAnZPdW)

* * *
### Buy One
[Mod-ORP](https://ufire.co) - just the sensor

[Isolated Dev Board](https://ufire.co/buy/) - all the components needed to use the module